function FileData_Pairs(x)
{
x.t("example","firmware");
x.t("below","pseudo");
x.t("else","virtual");
x.t("cdc","ommunication");
x.t("pattern","readfrommodule");
x.t("functional","usb");
x.t("ommunication","evice");
x.t("cable","code");
x.t("shown","below");
x.t("mechanism","asserting");
x.t("plugging","usb");
x.t("once","per");
x.t("(ignition)","signal");
x.t("void","doupdate");
x.t("lass","acm");
x.t("enabled","usb");
x.t("try","reopen");
x.t("download","program");
x.t("download","mode");
x.t("download","via");
x.t("download","utility");
x.t("download","protocol");
x.t("program","usb");
x.t("interface","usb");
x.t("mode","first");
x.t("open","virtual");
x.t("close","port");
x.t("readfrommodule","&banswer");
x.t("time","closecomport");
x.t("inside","module");
x.t("i.e","calling");
x.t("brecord","brecord");
x.t("brecord","send");
x.t("brecord","[0]");
x.t("brecord","[max_record_size]");
x.t("start","pattern");
x.t("includes","fully");
x.t("fragments","shown");
x.t("command","writetomodule");
x.t("command","sent");
x.t("(void)","byte");
x.t("need","firmware");
x.t("again","length");
x.t("again","return");
x.t("again","itry");
x.t("short","time");
x.t("file","brecord");
x.t("api","once");
x.t("answer_busy","banswer");
x.t("3.2","requirements");
x.t("sfdl\\r","wait");
x.t("requirements","firmware");
x.t("via","standard");
x.t("via","usb");
x.t("requires","virtual");
x.t("byte","brecord");
x.t("byte","sfdl\\r");
x.t("byte","banswer");
x.t("byte","data");
x.t("&banswer","answer_busy");
x.t("&banswer","answer_ok");
x.t("functionality","easily");
x.t("wait","start");
x.t("wait","100");
x.t("wait","answer");
x.t("wait","seconds");
x.t("closed","immediately");
x.t("bootloader","includes");
x.t("virtual","com");
x.t("bytes","record");
x.t("igt","(ignition)");
x.t("transac","\u00adtion");
x.t("generic","firmware");
x.t("generic","update");
x.t("place","module");
x.t("standard","serial");
x.t("stack","cdc");
x.t("max_record_size","filereadrecord");
x.t("started","appropriate");
x.t("record","file");
x.t("record","transferred");
x.t("record","figure");
x.t("record","writetomodule");
x.t("int","itry");
x.t("allow","usb");
x.t("filereadrecord","brecord");
x.t("odel","device");
x.t("device","implementation");
x.t("sfdl","command");
x.t("error","virtual");
x.t("error","return");
x.t("simulates","modem");
x.t("serial","com");
x.t("first","module");
x.t("number","tries");
x.t("answer_ok","banswer");
x.t("signal","plugging");
x.t("length","byte");
x.t("length","data");
x.t("com","port");
x.t("scenario","requires");
x.t("ontrol","odel");
x.t("calling","api");
x.t("banswer","byte");
x.t("banswer","answer_retry");
x.t("banswer","read");
x.t("banswer","fileend");
x.t("connected","via");
x.t("code","fragments");
x.t("code","based");
x.t("fully","functional");
x.t("evice","lass");
x.t("return","close");
x.t("return","wait");
x.t("disabled","short");
x.t("firmware","download");
x.t("firmware","inside");
x.t("firmware","update");
x.t("operating","systems");
x.t("operating","system");
x.t("100","wait");
x.t("100","milliseconds");
x.t("answer_retry","banswer");
x.t("enter","firmware");
x.t("closecomport","allow");
x.t("opencomport","virtual");
x.t("3.2.3.1","example");
x.t("tries","open");
x.t("transferred","usb");
x.t("itry","else");
x.t("itry","error");
x.t("itry","number");
x.t("itry","opencomport");
x.t("itry","itry");
x.t("usb","cable");
x.t("usb","void");
x.t("usb","interface");
x.t("usb","functionality");
x.t("usb","transac");
x.t("usb","generic");
x.t("usb","place");
x.t("usb","stack");
x.t("usb","scenario");
x.t("usb","firmware");
x.t("usb","3.2.3.1");
x.t("usb","usb");
x.t("usb","host");
x.t("usb","3.2.3");
x.t("implementation","module");
x.t("figure","download");
x.t("send","command");
x.t("send","length");
x.t("forced","enter");
x.t("asserting","igt");
x.t("systems","major");
x.t("read","record");
x.t("[0]","wait");
x.t("[0]","max_record_size");
x.t("major","difference");
x.t("module","started");
x.t("module","simulates");
x.t("module","connected");
x.t("module","disabled");
x.t("module","forced");
x.t("module","sie\u00admens");
x.t("host","need");
x.t("host","disable");
x.t("adaptable","operating");
x.t("data","bytes");
x.t("data","record");
x.t("appropriate","mechanism");
x.t("received","seconds");
x.t("utility","3.2.3");
x.t("3.2.3","download");
x.t("pseudo","code");
x.t("answer","readfrommodule");
x.t("answer","readresultlinefrommodule");
x.t("disable","virtual");
x.t("acm","bstract");
x.t("port","again");
x.t("port","wait");
x.t("port","closed");
x.t("port","virtual");
x.t("port","send");
x.t("port","module");
x.t("port","opened");
x.t("protocol","usb");
x.t("milliseconds","itry");
x.t("based","operating");
x.t("easily","adaptable");
x.t("opened","again");
x.t("opened","wait");
x.t("fileend","answer_ok");
x.t("immediately","sfdl");
x.t("writetomodule","brecord");
x.t("writetomodule","byte");
x.t("system","enabled");
x.t("reopen","virtual");
x.t("modem","connected");
x.t("asc0/asc1","generic");
x.t("doupdate","(void)");
x.t("[max_record_size]","int");
x.t("bstract","ontrol");
x.t("\u00adtion","i.e");
x.t("per","record");
x.t("sie\u00admens","bootloader");
x.t("readresultlinefrommodule","error");
x.t("sent","received");
x.t("update","3.2");
x.t("update","usb");
x.t("update","asc0/asc1");
x.t("difference","generic");
x.t("seconds","try");
x.t("seconds","com");
}
